=== debian/changelog ===
wxosmose (0.0.6-1) unstable; urgency=low

  * Initial release

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu,  2 Jun 2005 22:27:27 +0200
