=== debian/control ===
Source: wxosmose
Section: games
Priority: optional
Maintainer: FERREIRA Yohann <bertram@cegetel.net>
Build-Depends: debhelper (>= 4.0.0), libwxgtk2.5-dev (>= 2.5.3)
Standards-Version: 3.6.1

Package: wxosmose
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libwxgtk2.5.3 (>= 2.5.3), osmose (>= 0.6.28)
Description: wxOsmOse is a Front End to 
 the Master System Emulator Osmose.
 .
 Refer to that package for more information on how
 to use wxOsmOse.
 .
